/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */


@font-face {
    font-family: 'Calisto MT';
    src: url('/fonts/Calisto MT.eot');
    src: url('/fonts/Calisto MT.eot?#iefix') format('embedded-opentype'),
        url('/fonts/Calisto MT.woff2') format('woff2'),
        url('/fonts/Calisto MT.woff') format('woff'),
        url('/fonts/Calisto MT.ttf') format('truetype'),
        url('/fonts/Calisto MT.svg.svg#CalistoMT') format('svg');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

.calisto-mt-font h2{
  
    font-weight: normal !important;
    letter-spacing: 10px;
    word-spacing: 6px;
}
.logo-text h2{font-size: 28px;}
.logo-text h2 span{font-size: 35px;font-weight: 500;}

.header-menu .hfe-nav-menu{margin: 0 auto;}
.header-menu .menu-item>a{font-weight: normal !important;}
.header-menu .menu-item.current_page_item>a{font-weight: 600 !important;}


/* Grid */
.projects-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
}

.project-item {
    cursor: pointer;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.project-title {
    font-size: 22px;
    line-height: 26px;
    font-weight: normal;
    font-family: "Gowun Batang";
    padding-top: 10px;
    text-transform: uppercase;
    color: #A3595C;
}

.project-image img {
    width: 100%;
    height: 400px;
    object-fit: cover;
    object-position: top;
    vertical-align: middle;
    /* border-radius: 8px; */
}

/* Popup */
.project-popup {
    display: none;
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.85);
    z-index: 9999;
    padding: 60px 20px;
    overflow-y: auto;
}

.popup-close {
    position: absolute;
    top: 20px;
    right: 30px;
    font-size: 34px;
    color: #fff;
    cursor: pointer;
    z-index: 10;
}

/* Slider */
.project-swiper {
    max-width: 900px;
    margin: auto;
}
.project-popup .swiper-wrapper{align-items: center;}
.swiper-button-prev{left: 20px;color: #fff;width: 24px;height: 24px;margin: 0;}
.swiper-button-prev::after,.swiper-button-next::after{font-size: 24px;}
.swiper-button-next{right: 20px;color: #fff;width: 24px;height: 24px;margin: 0;}

.swiper-pagination{display: none;}
.project-swiper img {width: 100%;vertical-align: middle;max-height: calc(100vh - 120px);object-fit: contain;}

/* Contact Us page */
.form_group{display: flex;flex-wrap: wrap;}
.form_group>*{padding-left: 12px;padding-right: 12px;}
.form_group p{margin-bottom: 0;}
.column-50{flex: 0 0 50%;max-width: 50%;}
.column-100{flex: 0 0 100%;max-width: 100%;}
.form_group input:not(input[type="submit"]),.form_group textarea{width: 100%;border: 1px solid #A3595C;background-color: transparent;border-radius: 0;color: #411e06;padding: 6px 10px;margin-top: 8px;}
.form_group input:not(input[type="submit"]):focus,.form_group textarea:focus{outline: none;}
.form_group label{width: 100%;font-family: "Gowun Batang";color: #A3595C;font-weight: 600;margin-bottom: 20px;}

.form_group textarea{height: 140px;resize: none;}

.form_group input[type="submit"]{width: 100%;border: none;border-radius: 0;background-color: #A3595C;color: #fff;font-family: "Gowun Batang";}
.form_group .wpcf7-spinner{position: absolute;left: 0;bottom: -30px;}


/* Mobile */
@media(max-width: 767px) {
    .projects-grid {
        grid-template-columns: 1fr;
    }
    .project-swiper {
        max-width: 100%;
    }

    .header-menu nav{
        left: 0 !important;
        width: 100% !important;
        background-color: #FCE5DD !important;
        top: -50px !important;
        position: fixed !important;
        bottom: 0;
        height: 100vh;
        transition: all 350ms ease-in-out;
    }
    .header-menu nav.menu-is-active{top: 0 !important;}
    .header-menu .hfe-nav-menu__toggle{z-index: 99999;}
    .header-menu .hfe-nav-menu__toggle.hfe-active-menu{position: fixed;top: 20px;right: 20px;}
    .header-menu .hfe-nav-menu{flex-wrap: nowrap;flex-direction: column;justify-content: center;}
    .header-menu nav .hfe-nav-menu li{border: none !important;}
    .header-menu nav .hfe-nav-menu li a{background-color: transparent !important;justify-content: center;}

}


@media screen and (max-width: 575px){
    .column-50{flex: 0 0 100%;max-width: 100%;}
}
